package net.woodyfolsom.msproj;

import static org.junit.Assert.*;

import java.util.List;

import org.junit.Test;

public class GameStateTest {

	@Test
	public void testGetEmptyCoords() {
		GameConfig gameConfig = new GameConfig(3);
		GameState gameState = new GameState(gameConfig);
		
		gameState.playStone(Player.BLACK, "A1");
		gameState.playStone(Player.WHITE, "A2");
		gameState.playStone(Player.BLACK, "A3");
		
		List<String> validMoves = gameState.getEmptyCoords();
		
		assertFalse(validMoves.contains("A1"));
		assertFalse(validMoves.contains("A2"));
		assertFalse(validMoves.contains("A3"));
		
		assertTrue(validMoves.contains("B1"));
		assertTrue(validMoves.contains("B2"));
		assertTrue(validMoves.contains("B3"));
		assertTrue(validMoves.contains("C1"));
		assertTrue(validMoves.contains("C2"));
		assertTrue(validMoves.contains("C3"));
	}

}
